# Class VariantEffectFilter

java.lang.Object
org.snpeff.filter.VariantEffectFilter

All Implemented Interfaces:
  `Filter<VariantEffect>`

public class VariantEffectFilter extends Object implements Filter<VariantEffect>
A Generic ChangeEffect filter

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`VariantEffectFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(EffectType effType)`
`boolean`
`anythingSet()`
Is any of the options set?
`boolean`
`filter(VariantEffect variantEffect)`
Filter a sequence change

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariantEffectFilter

public VariantEffectFilter()

## Method Details

### add

public void add(EffectType effType)

### anythingSet

public boolean anythingSet()
Is any of the options set?

Specified by:
  `anythingSet` in interface `Filter<VariantEffect>`
Returns:

### filter

public boolean filter(VariantEffect variantEffect)
Filter a sequence change

Specified by:
  `filter` in interface `Filter<VariantEffect>`
Parameters:
  `variantEffect` -
Returns:
  true if it passes the filter